mbed TLS v2.16.3: md2.h File Reference

mbed TLS v2.16.3

Data Structures | Macros | Typedefs | Functions
md2.h File Reference

MD2 message digest algorithm (hash function) More...

`#include "config.h"`
`#include <stddef.h>`
Include dependency graph for md2.h:

Go to the source code of this file.

## Data Structures
struct | mbedtls_md2_context
| MD2 context structure. More...

## Macros
#define | MBEDTLS_ERR_MD2_HW_ACCEL_FAILED -0x002B
#define | MBEDTLS_DEPRECATED

## Typedefs
typedef struct mbedtls_md2_context | mbedtls_md2_context
| MD2 context structure. More...

## Functions
void | mbedtls_md2_init (mbedtls_md2_context *ctx)
| Initialize MD2 context. More...
void | mbedtls_md2_free (mbedtls_md2_context *ctx)
| Clear MD2 context. More...
void | mbedtls_md2_clone (mbedtls_md2_context *dst, const mbedtls_md2_context *src)
| Clone (the state of) an MD2 context. More...
int | mbedtls_md2_starts_ret (mbedtls_md2_context *ctx)
| MD2 context setup. More...
int | mbedtls_md2_update_ret (mbedtls_md2_context *ctx, const unsigned char *input, size_t ilen)
| MD2 process buffer. More...
int | mbedtls_md2_finish_ret (mbedtls_md2_context *ctx, unsigned char output[16])
| MD2 final digest. More...
int | mbedtls_internal_md2_process (mbedtls_md2_context *ctx)
| MD2 process data block (internal use only) More...
MBEDTLS_DEPRECATED void | mbedtls_md2_starts (mbedtls_md2_context *ctx)
| MD2 context setup. More...
MBEDTLS_DEPRECATED void | mbedtls_md2_update (mbedtls_md2_context *ctx, const unsigned char *input, size_t ilen)
| MD2 process buffer. More...
MBEDTLS_DEPRECATED void | mbedtls_md2_finish (mbedtls_md2_context *ctx, unsigned char output[16])
| MD2 final digest. More...
MBEDTLS_DEPRECATED void | mbedtls_md2_process (mbedtls_md2_context *ctx)
| MD2 process data block (internal use only) More...
int | mbedtls_md2_ret (const unsigned char *input, size_t ilen, unsigned char output[16])
| Output = MD2( input buffer ) More...
MBEDTLS_DEPRECATED void | mbedtls_md2 (const unsigned char *input, size_t ilen, unsigned char output[16])
| Output = MD2( input buffer ) More...
int | mbedtls_md2_self_test (int verbose)
| Checkup routine. More...

## Detailed Description

MD2 message digest algorithm (hash function)

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

Definition in file md2.h.

## Macro Definition Documentation

## ◆ MBEDTLS_DEPRECATED [1/2]

#define MBEDTLS_DEPRECATED

Definition at line 263 of file md2.h.

## ◆ MBEDTLS_DEPRECATED [2/2]

#define MBEDTLS_DEPRECATED

Definition at line 263 of file md2.h.

## ◆ MBEDTLS_ERR_MD2_HW_ACCEL_FAILED

#define MBEDTLS_ERR_MD2_HW_ACCEL_FAILED -0x002B

MD2 hardware accelerator failed

Definition at line 41 of file md2.h.

## Typedef Documentation

## ◆ mbedtls_md2_context

typedef struct mbedtls_md2_context mbedtls_md2_context

MD2 context structure.

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## Function Documentation

## ◆ mbedtls_internal_md2_process()

int mbedtls_internal_md2_process | ( | mbedtls_md2_context * | ctx | ) |

MD2 process data block (internal use only)

Parameters

  ctx | MD2 context

Returns
  0 if successful

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2()

MBEDTLS_DEPRECATED void mbedtls_md2 | ( | const unsigned char * | input,
|  | size_t | ilen,
|  | unsigned char | output[16]
| ) |  |

Output = MD2( input buffer )

Deprecated:
  Superseded by mbedtls_md2_ret() in 2.7.0

Parameters

  input | buffer holding the data
  ilen | length of the input data
  output | MD2 checksum result

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_clone()

void mbedtls_md2_clone | ( | mbedtls_md2_context * | dst,
|  | const mbedtls_md2_context * | src
| ) |  |

Clone (the state of) an MD2 context.

Parameters

  dst | The destination context
  src | The context to be cloned

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_finish()

MBEDTLS_DEPRECATED void mbedtls_md2_finish | ( | mbedtls_md2_context * | ctx,
|  | unsigned char | output[16]
| ) |  |

MD2 final digest.

Deprecated:
  Superseded by mbedtls_md2_finish_ret() in 2.7.0

Parameters

  ctx | MD2 context
  output | MD2 checksum result

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_finish_ret()

int mbedtls_md2_finish_ret | ( | mbedtls_md2_context * | ctx,
|  | unsigned char | output[16]
| ) |  |

MD2 final digest.

Parameters

  ctx | MD2 context
  output | MD2 checksum result

Returns
  0 if successful

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_free()

void mbedtls_md2_free | ( | mbedtls_md2_context * | ctx | ) |

Clear MD2 context.

Parameters

  ctx | MD2 context to be cleared

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_init()

void mbedtls_md2_init | ( | mbedtls_md2_context * | ctx | ) |

Initialize MD2 context.

Parameters

  ctx | MD2 context to be initialized

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_process()

MBEDTLS_DEPRECATED void mbedtls_md2_process | ( | mbedtls_md2_context * | ctx | ) |

MD2 process data block (internal use only)

Deprecated:
  Superseded by mbedtls_internal_md2_process() in 2.7.0

Parameters

  ctx | MD2 context

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_ret()

int mbedtls_md2_ret | ( | const unsigned char * | input,
|  | size_t | ilen,
|  | unsigned char | output[16]
| ) |  |

Output = MD2( input buffer )

Parameters

  input | buffer holding the data
  ilen | length of the input data
  output | MD2 checksum result

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_self_test()

int mbedtls_md2_self_test | ( | int | verbose | ) |

Checkup routine.

Returns
  0 if successful, or 1 if the test failed

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_starts()

MBEDTLS_DEPRECATED void mbedtls_md2_starts | ( | mbedtls_md2_context * | ctx | ) |

MD2 context setup.

Deprecated:
  Superseded by mbedtls_md2_starts_ret() in 2.7.0

Parameters

  ctx | context to be initialized

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_starts_ret()

int mbedtls_md2_starts_ret | ( | mbedtls_md2_context * | ctx | ) |

MD2 context setup.

Parameters

  ctx | context to be initialized

Returns
  0 if successful

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_update()

MBEDTLS_DEPRECATED void mbedtls_md2_update | ( | mbedtls_md2_context * | ctx,
|  | const unsigned char * | input,
|  | size_t | ilen
| ) |  |

MD2 process buffer.

Deprecated:
  Superseded by mbedtls_md2_update_ret() in 2.7.0

Parameters

  ctx | MD2 context
  input | buffer holding the data
  ilen | length of the input data

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md2_update_ret()

int mbedtls_md2_update_ret | ( | mbedtls_md2_context * | ctx,
|  | const unsigned char * | input,
|  | size_t | ilen
| ) |  |

MD2 process buffer.

Parameters

  ctx | MD2 context
  input | buffer holding the data
  ilen | length of the input data

Returns
  0 if successful

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.